Bug 245666 - dns/nsd: Update to 4.3.1
Summary: dns/nsd: Update to 4.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-16 12:22 UTC by Jaap Akkerhuis
Modified: 2020-04-20 01:00 UTC (History)
1 user (show)

See Also:


Attachments
patch to upgrade (7 bytes, patch)
2020-04-16 12:22 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff
patch (1.80 KB, patch)
2020-04-18 19:27 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff
the real patch to upgrade (1.80 KB, patch)
2020-04-18 19:39 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2020-04-16 12:22:58 UTC
Created attachment 213462 [details]
patch to upgrade

This release fixes a number of bugs, and fixes a bug for FreeBSD start.

[Because of the FreeBSD start bug fix the patch file in the port is removed]

4.3.1
================
BUG FIXES:
- Fix #70: error: 'fd_set' undeclared.
- Fix #71: error: 'for' loop initial declaration used outside C99
  mode.
- Fix to move declarations out of for loops in event test too.
- Fix #76: cpuid typedef for Hurd, DragonflyBSD compile.
- Fix #75: configure test for sched_setaffinity, and use
  cpuset_setaffinity otherwise.  Also test for presence of sysconf.
- Fix #74: GNU Hurd fix cast from pointer to integer of different size.
- Fix for #74, #75: cpuset test for header contents and provide code.
- Fix #78: Fix SO_SETFIB error on FreeBSD.
- Merge PR #83 from noloader: Fix GNU HURD sched_setaffinity compile.
- Fix #80: NetBSD and implicit declaration of reallocarray.
- Fix unknown u_long in util.c for Issue #80 .
- Merge PR #86 from noloader: Use precious variables for GREP, EGREP,
  SED, AWK, LEX and YACC.
- For PR #86: Fix that programs loaded after CFLAGS and stuff is
  set, specifically the compiler, so that it can work if it needs
  special flags from that.  Fix that lex only needs to support -i
  if actually defined, otherwise the output included in the source
  tarball can be used.
- Merge PR #90 by phicoh: O_CLOEXEC should be FD_CLOEXEC.
- Merge PR #92 by tonysgi: Fix typo.
- Merge PR #91 by gearnode: nsd-control-setup recreate certificates.
  The '-r' option recreates certificates.  Without it it creates them
  if they do not exist, and does not modify them otherwise.
Comment 1 Kurt Jaeger freebsd_committer 2020-04-18 19:25:55 UTC
Can you check the patch ? It looks very short and not really like a patch ?
Comment 2 Kurt Jaeger freebsd_committer 2020-04-18 19:27:49 UTC
Created attachment 213547 [details]
patch

This looks more like the correct patch
Comment 3 Jaap Akkerhuis 2020-04-18 19:39:13 UTC
Created attachment 213548 [details]
the real patch to upgrade

Somehow the earlier patch was butchered, here is the proper one
Comment 4 Jaap Akkerhuis 2020-04-18 19:42:43 UTC
(In reply to Kurt Jaeger from comment #2)
Onlu now I realise you beat me in sending a proper patch
Comment 5 Kurt Jaeger freebsd_committer 2020-04-19 06:30:42 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-04-19 06:31:31 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 19 06:30:27 UTC 2020
New revision: 532072
URL: https://svnweb.freebsd.org/changeset/ports/532072

Log:
  dns/nsd: update 4.3.0 -> 4.3.1

  BUG FIXES:
  - Fix #70: error: 'fd_set' undeclared.
  - Fix #71: error: 'for' loop initial declaration used outside C99
    mode.
  - Fix to move declarations out of for loops in event test too.
  - Fix #76: cpuid typedef for Hurd, DragonflyBSD compile.
  - Fix #75: configure test for sched_setaffinity, and use
    cpuset_setaffinity otherwise.  Also test for presence of sysconf.
  - Fix #74: GNU Hurd fix cast from pointer to integer of different size.
  - Fix for #74, #75: cpuset test for header contents and provide code.
  - Fix #78: Fix SO_SETFIB error on FreeBSD.
  - Merge PR #83 from noloader: Fix GNU HURD sched_setaffinity compile.
  - Fix #80: NetBSD and implicit declaration of reallocarray.
  - Fix unknown u_long in util.c for Issue #80 .
  - Merge PR #86 from noloader: Use precious variables for GREP, EGREP,
    SED, AWK, LEX and YACC.
  - For PR #86: Fix that programs loaded after CFLAGS and stuff is
    set, specifically the compiler, so that it can work if it needs
    special flags from that.  Fix that lex only needs to support -i
    if actually defined, otherwise the output included in the source
    tarball can be used.
  - Merge PR #90 by phicoh: O_CLOEXEC should be FD_CLOEXEC.
  - Merge PR #92 by tonysgi: Fix typo.
  - Merge PR #91 by gearnode: nsd-control-setup recreate certificates.
    The '-r' option recreates certificates.  Without it it creates them
    if they do not exist, and does not modify them otherwise.

  PR:		245666
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

Changes:
  head/dns/nsd/Makefile
  head/dns/nsd/distinfo
  head/dns/nsd/files/patch-server.c